Pagina 2 di 3 PrimaPrima 123 UltimaUltima
Risultati da 11 a 20 di 29
  1. #11
    Utente Standard L'avatar di diegus
    Iscritto dal
    2008
    Messaggi
    365
    Professione
    cad specialist
    Regione
    Campania
    Software
    Inventor, CatiaV5R18, ShowcasePRO, Autocad Mechanical, Fusion 360, Inventor Publisher

    Predefinito

    che è quello che dicevo io

  2. #12
    Utente Standard L'avatar di diegus
    Iscritto dal
    2008
    Messaggi
    365
    Professione
    cad specialist
    Regione
    Campania
    Software
    Inventor, CatiaV5R18, ShowcasePRO, Autocad Mechanical, Fusion 360, Inventor Publisher

    Predefinito

    Citazione Originariamente Scritto da selva Visualizza Messaggio
    TROVATO!

    =<FLAT PATTERN LENGTH> cm
    =<FLAT PATTERN WIDTH> cm
    =<FLAT PATTERN AREA> cm^2
    VERO! scusa non avevo letto bene la domanda.....

  3. #13
    Utente Standard L'avatar di dicifa
    Iscritto dal
    2009
    Messaggi
    254
    Professione
    Progettista
    Regione
    lombardia
    Software
    inventor 2016 - AutoCad 2016

    Predefinito

    Citazione Originariamente Scritto da selva Visualizza Messaggio
    TROVATO!

    =<FLAT PATTERN LENGTH> cm
    =<FLAT PATTERN WIDTH> cm
    =<FLAT PATTERN AREA> cm^2
    Scusa, ma non ho capito.....

    Inviato dal mio GT-I9100 con Tapatalk 2

  4. #14
    Utente Standard L'avatar di dicifa
    Iscritto dal
    2009
    Messaggi
    254
    Professione
    Progettista
    Regione
    lombardia
    Software
    inventor 2016 - AutoCad 2016

    Predefinito

    Citazione Originariamente Scritto da diegus Visualizza Messaggio
    VERO! scusa non avevo letto bene la domanda.....
    non ho capito...è un pò che cerco ma non arrivo a una conclusione....mi da una mano?

  5. #15
    Utente Standard L'avatar di Catafratto
    Iscritto dal
    2011
    Messaggi
    809
    Professione
    Disegnatore/progettista
    Regione
    Veneto
    Software
    Inventor 2016

    Predefinito

    Citazione Originariamente Scritto da dicifa Visualizza Messaggio
    grazie diegus....lo sapevo già ma non è quello che cerco. Ho provato anchio a chiedere al mio rivenditore e mi ha chiesto circa 1200€.....
    Per 1150€ (un'offertona, come vedi) ti concedo il permesso di copiarti questa macro nel modulo VBA (con procedura descritta in precedenza in questo forum trovala!)

    Contanti?

    Private Sub flatPatternExtents()
    ' Definisce le variabili principali
    Dim oPart As PartDocument
    Dim oFlat As FlatPattern
    Dim oSheetCompDef As SheetMetalComponentDefinition


    ' Controlla che il documento attivo sia un documento o un FlatPattern
    If Not ((TypeOf ThisApplication.ActiveEditObject Is FlatPattern) Or _
    (TypeOf ThisApplication.ActiveEditObject Is PartDocument)) Then
    MsgBox "Una parte o un flatpattern devono essere presenti"
    Exit Sub
    End If

    If TypeOf ThisApplication.ActiveEditObject Is PartDocument Then
    Set oPart = ThisApplication.ActiveEditObject
    Set oSheetCompDef = oPart.ComponentDefinition
    Set oFlat = oSheetCompDef.FlatPattern
    Else
    Set oFlat = ThisApplication.ActiveEditObject
    Set oPart = oFlat.Document

    End If



    ' Controlla che il FlatPattern esista
    If oFlat Is Nothing Then
    MsgBox "La parte deve avere il flatpattern"
    Exit Sub
    End If

    ' Si crea l'iProperty "sviluppo" e si compila
    ' Nota: si moltiplica *10 per convertire da cm a mm
    Dim oText As String
    oText = Round(oFlat.Width) * 10 & "x" & Round(oFlat.Length * 10)

    Dim oCustomPropSet As PropertySet
    Set oCustomPropSet = oPart.PropertySets.Item("{D5CDD505-2E9C-101B-9397-08002B2CF9AE}")

    'Elimina la proprietà e la scrive nuova
    'Se non esiste si ignora l'errore generato
    On Error Resume Next
    oCustomPropSet.Item("Sviluppo").Delete

    Call oCustomPropSet.Add(oText, "Sviluppo")

    End Sub
    Spesso astuzia ed intelligenza sono molto più efficaci dell'ottusa forza bruta: ma non ho proprio tempo di cercare qualcun alltro...

  6. #16
    Utente Senior L'avatar di Tarkus
    Iscritto dal
    2007
    Messaggi
    2339
    Professione
    Progettista,Disegnatore
    Regione
    Toscana
    Software
    Autocad Mechanical,Inventor 2017,HyperMill2012

    Predefinito

    Grande Catafratto, gli utenti di CAD3D dovrebbero candidarti per il premio Nobel per il VBA
    Saluti
    Tarkus

  7. #17
    Utente Standard L'avatar di Catafratto
    Iscritto dal
    2011
    Messaggi
    809
    Professione
    Disegnatore/progettista
    Regione
    Veneto
    Software
    Inventor 2016

    Predefinito

    Citazione Originariamente Scritto da Tarkus Visualizza Messaggio
    Grande Catafratto, gli utenti di CAD3D dovrebbero candidarti per il premio Nobel per il VBA
    Troppo buono ma...
    gli eurini???

    O alla prima occasione mi pagate quel che riesco a bere?
    Spesso astuzia ed intelligenza sono molto più efficaci dell'ottusa forza bruta: ma non ho proprio tempo di cercare qualcun alltro...

  8. #18
    Utente Senior L'avatar di Tarkus
    Iscritto dal
    2007
    Messaggi
    2339
    Professione
    Progettista,Disegnatore
    Regione
    Toscana
    Software
    Autocad Mechanical,Inventor 2017,HyperMill2012

    Predefinito

    Citazione Originariamente Scritto da Catafratto Visualizza Messaggio
    Troppo buono ma...
    gli eurini???

    O alla prima occasione mi pagate quel che riesco a bere?
    Buona la seconda..
    Saluti
    Tarkus

  9. #19
    Utente Standard L'avatar di dicifa
    Iscritto dal
    2009
    Messaggi
    254
    Professione
    Progettista
    Regione
    lombardia
    Software
    inventor 2016 - AutoCad 2016

    Predefinito

    Citazione Originariamente Scritto da Catafratto Visualizza Messaggio
    Per 1150€ (un'offertona, come vedi) ti concedo il permesso di copiarti questa macro nel modulo VBA (con procedura descritta in precedenza in questo forum trovala!)

    Contanti?

    Private Sub flatPatternExtents()
    ' Definisce le variabili principali
    Dim oPart As PartDocument
    Dim oFlat As FlatPattern
    Dim oSheetCompDef As SheetMetalComponentDefinition


    ' Controlla che il documento attivo sia un documento o un FlatPattern
    If Not ((TypeOf ThisApplication.ActiveEditObject Is FlatPattern) Or _
    (TypeOf ThisApplication.ActiveEditObject Is PartDocument)) Then
    MsgBox "Una parte o un flatpattern devono essere presenti"
    Exit Sub
    End If

    If TypeOf ThisApplication.ActiveEditObject Is PartDocument Then
    Set oPart = ThisApplication.ActiveEditObject
    Set oSheetCompDef = oPart.ComponentDefinition
    Set oFlat = oSheetCompDef.FlatPattern
    Else
    Set oFlat = ThisApplication.ActiveEditObject
    Set oPart = oFlat.Document

    End If



    ' Controlla che il FlatPattern esista
    If oFlat Is Nothing Then
    MsgBox "La parte deve avere il flatpattern"
    Exit Sub
    End If

    ' Si crea l'iProperty "sviluppo" e si compila
    ' Nota: si moltiplica *10 per convertire da cm a mm
    Dim oText As String
    oText = Round(oFlat.Width) * 10 & "x" & Round(oFlat.Length * 10)

    Dim oCustomPropSet As PropertySet
    Set oCustomPropSet = oPart.PropertySets.Item("{D5CDD505-2E9C-101B-9397-08002B2CF9AE}")

    'Elimina la proprietà e la scrive nuova
    'Se non esiste si ignora l'errore generato
    On Error Resume Next
    oCustomPropSet.Item("Sviluppo").Delete

    Call oCustomPropSet.Add(oText, "Sviluppo")

    End Sub
    Sei un grande!!!...io in cambio ti posso fissare un appuntamento con Ruby Ruba Cuori!!!

    ...però qui nasce un problemino...non mi ricordo più come fare le macro....

  10. #20
    Utente Standard L'avatar di Catafratto
    Iscritto dal
    2011
    Messaggi
    809
    Professione
    Disegnatore/progettista
    Regione
    Veneto
    Software
    Inventor 2016

    Predefinito

    Apri il file modello .idw
    ALT+F11 per accedere all'editor Visual Basic
    In alto a Sx, nel browser, espandere Progetto DOCUMENTO > Modules
    Doppio click su Modulo1
    Copiare la macro nella finestra grande.
    Collegare la macro ad un tastino a proprio gusto mediante tasto DX sulla barra superiore -> personalizza comandi utente
    Spesso astuzia ed intelligenza sono molto più efficaci dell'ottusa forza bruta: ma non ho proprio tempo di cercare qualcun alltro...


  • Pagina 2 di 3 PrimaPrima 123 UltimaUltima

    Discussioni Simili

    1. AUTOMATIZZARE IL MODELLO PIATTO
      Di JAMES_BOND nel forum Inventor
      Risposte: 5
      Ultimo Messaggio: 05-10-2010, 12: 48
    2. modellare in modello piatto???
      Di piccio__87 nel forum Inventor
      Risposte: 2
      Ultimo Messaggio: 28-07-2010, 10: 57
    3. modello piatto
      Di Topico nel forum Inventor
      Risposte: 1
      Ultimo Messaggio: 18-03-2010, 20: 31
    4. Modello piatto
      Di calimerini nel forum Inventor
      Risposte: 4
      Ultimo Messaggio: 05-02-2010, 16: 37
    5. Modello piatto...
      Di mdbosca nel forum Inventor
      Risposte: 8
      Ultimo Messaggio: 19-02-2008, 18: 53

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti